Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80505 - esd hangs the whole gnome session
Summary: esd hangs the whole gnome session
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 9
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Arjan van de Ven
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-27 14:21 UTC by Sarantis Paskalis
Modified: 2008-01-17 17:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-09-30 15:40:20 UTC


Attachments (Terms of Use)

Description Sarantis Paskalis 2002-12-27 14:21:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
System description: Athlon based, with on-board audio based on ac97 
codec.
00:11.5 Multimedia audio controller: VIA Technologies, Inc. VT8233 AC97 Audio
Controller (rev 30)

(phoebe is the first redhat release with which sound is configured correctly on
this hardware.  I had to install the alsa drivers to get sound enabled on all
releases before)

After trying to play some mp3s on xmms or mpg321 (rebuilt), the esd process
hangs and keeps the whole gnome session hanged.  Mouse and keyboard are dead for
launching new applications.  Running terminals and mozilla windows are
responsive.  (A temporary cure for me is to kill -9 the esd process, and
resurrect the gnome session)
Strangely, .wav files are handled fine by esd.

xmms and gnome-session are ok if I select the OSS output plugin in xmms.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Startup gnome
2. try to play some mp3
3. esd hangs and keeps gnome-session hanging
    

Additional info:

Comment 1 Bill Nottingham 2003-01-01 04:18:45 UTC
Sounds more like an issue with the sound driver.

Comment 2 Bugzilla owner 2004-09-30 15:40:20 UTC
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/



Note You need to log in before you can comment on or make changes to this bug.